#include <gtest/gtest.h>

#include "triangle.h"

TEST(triangles, none)
{
	EXPECT_EQ(triangle_type(1,2,3), NONE);
	EXPECT_EQ(triangle_type(1,1,4), NONE);
}

TEST(triangles, isosceles)
{
	EXPECT_EQ(triangle_type(3,2,3), ISOSCELES);
	EXPECT_EQ(triangle_type(2,3,3), ISOSCELES);
}

TEST(triangles, equilateral)
{
	EXPECT_EQ(triangle_type(3,3,3), EQUILATERAL);
	EXPECT_EQ(triangle_type(2,2,2), EQUILATERAL);
}

TEST(triangles, scalene)
{
	EXPECT_EQ(triangle_type(2,3,4), SCALENE);
	EXPECT_EQ(triangle_type(4,3,2), SCALENE);
}

int main(int argc, char *argv[])
{
        /* initialize google test framework */
        ::testing::InitGoogleTest(&argc, argv);

        /* run all tests */
        return RUN_ALL_TESTS();
}

